using Femto.Modules.Auth.Contracts;
using Femto.Modules.Auth.Models;

namespace Femto.Modules.Auth.Application.Dto;

public record UserInfo(Guid Id, string Username, ICollection<Role> Roles)
{
    internal UserInfo(UserIdentity user)
        : this(user.Id, user.Username, user.Roles.Select(r => r.Role).ToList()) { }
};
